Get all Files
curl --request GET \
--url https://api.affinity.co/v2/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"name": "pitch-deck.pdf",
"size": 245760,
"type": "application/pdf",
"creator": {
"id": 1
},
"createdAt": "2026-01-05T09:30:00Z",
"updatedAt": null
},
{
"id": 2,
"name": "term-sheet.docx",
"size": 51200,
"type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"creator": null,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-02T12:00:00Z"
}
],
"pagination": {
"prevUrl": null,
"nextUrl": "https://api.affinity.co/v2/files?cursor=ICAgICAgIGFmdGVyOjo6Mg"
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Files
Get all Files
| This endpoint is currently in BETA |
|---|
Returns a page of Files visible to the caller.
You can filter files using the filter query parameter. The filter parameter is a string
that you can specify conditions based on the following properties.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
createdAt | datetime | >, <, >=, <= | createdAt>=2026-01-01T00:00:00Z |
creator.id | int64 | = | creator.id=1 |
Results are ordered by createdAt descending (most recently uploaded first).
GET
/
v2
/
files
Get all Files
Authorizations
A static Affinity API key, presented as a bearer token.
Query Parameters
Include total count of the collection in the pagination response
Cursor for the next or previous page
Example:
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
Required range:
1 <= x <= 100Example:
100
Filter options
Was this page helpful?